gnome-control-center (11) gtk_style_context_clear_property_cache → gtk_css_widget_node_update_style → gtk_css_node_ensure_style → gtk_css_node_ensure_style → gtk_css_node_validate_internal

Bug #1759468 reported by errors.ubuntu.com bug bridge on 2018-03-28
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
High
Andrea Azzarone
Bionic
Undecided
Unassigned
gtk+3.0 (Ubuntu)
High
Andrea Azzarone

Bug Description

* Impact
gnome-control-center sometimes hits a segfault

* Test case
- Check if the e.u.c reports stop with the new version

or

- Open GNOME Control Center
- Go to Devices->Display panel
- Close the window
- Open GNOME Control Center again (in overview mode)

the settings should open without error

* Regression potential
check the panels can be opened without error and that switching between them works as well

----------------------

The Ubuntu Error Tracker has been receiving reports about a problem regarding gnome-control-center. This problem was most recently seen with package version 1:3.28.0-0ubuntu2, the problem page at https://errors.ubuntu.com/problem/6b1f4dd86167bf5eb53ddca8469b5084208ddd22 contains more details, including versions of packages affected, stacktrace or traceback, and individual crash reports.
If you do not have access to the Ubuntu Error Tracker and are a software developer, you can request it at http://forms.canonical.com/reports/.

summary: - /usr/bin/gnome-control-
- center:11:gtk_style_context_clear_property_cache:gtk_css_widget_node_update_style:gtk_css_node_ensure_style:gtk_css_node_ensure_style:gtk_css_node_validate_internal
+ gnome-control-center (11) gtk_style_context_clear_property_cache →
+ gtk_css_widget_node_update_style → gtk_css_node_ensure_style →
+ gtk_css_node_ensure_style → gtk_css_node_validate_internal
Andrea Azzarone (azzar1) on 2018-04-09
Changed in gnome-control-center (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
importance: Medium → High
assignee: nobody → Andrea Azzarone (azzar1)
Andrea Azzarone (azzar1) wrote :

A fix has been commited upstream for gtk-3-22 here (https://gitlab.gnome.org/GNOME/gtk/commit/b47bdda2710bd88e510cb90c038b532cf58bce32). We might one to include this as a distro-patch.

Andrea Azzarone (azzar1) on 2018-04-16
Changed in gtk+3.0 (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andrea Azzarone (azzar1)
Andrea Azzarone (azzar1) wrote :

Plese find attached a debdiff with the fix cherry-fixed from upstream.

The attachment "gtk3.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Jeremy Bicha (jbicha) wrote :

I am unsubscribing ubuntu-sponsors since this has been uploaded to the bionic queue.

Actually, the GTK devs just released 3.22.30 which I have also uploaded to the queue so this fix is in the queue twice now!

Sebastien Bacher (seb128) wrote :

the new version has been accepted

Changed in gtk+3.0 (Ubuntu):
status: In Progress → Fix Committed
Changed in gnome-control-center (Ubuntu):
status: In Progress → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.22.30-1ubuntu1

---------------
gtk+3.0 (3.22.30-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in:
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/rules: Mark additional known test failures:
      - box-shadow-changes-modify-clip.ui
      - label-text-shadow-changes-modify-clip.ui
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gtksocket-unscale-before-sending-configurenotify.patch
  * New release includes fix for crash on container unrealize
    (LP: #1759468, #1764548)

gtk+3.0 (3.22.30-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop patches applied in new release (numbered 0009-0016)

  [ Simon McVittie ]
  * d/p/022_disable-viqr-im-for-vi-locale.patch:
    Add reference to Ubuntu bug 191451, summarize the reason why this
    is applied, and correctly attribute the patch to Ming Hua
    (see #895043)

 -- Jeremy Bicha <email address hidden> Mon, 16 Apr 2018 20:23:45 -0400

Changed in gtk+3.0 (Ubuntu):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

e.u.c still get reports from users on gtk .30, seems like the gtk fix is not working?

Andrea Azzarone (azzar1) wrote :

Gtk upstream is not going to work on this until we find a way to reproduce the crash.

Andrea Azzarone (azzar1) wrote :
Changed in gnome-control-center (Ubuntu):
status: Invalid → In Progress
Jeremy Bicha (jbicha) wrote :

Andrea, your commits there don't apply cleanly to GNOME 3.28. Do you want to rebase for 3.28?

Also, could you convert the bug description to SRU format?
https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

description: updated
Sebastien Bacher (seb128) wrote :

@andyrock, is https://gitlab.gnome.org/GNOME/gnome-control-center/merge_requests/49/diffs the correct fix for that segfault? it seems only half of the change from master, is that enough?

Yes. The other part is not required in 3.28.

Il gio 17 mag 2018, 03:31 Sebastien Bacher <email address hidden> ha scritto:

> @andyrock, is https://gitlab.gnome.org/GNOME/gnome-control-
> center/merge_requests/49/diffs the correct fix for that segfault? it
> seems only half of the change from master, is that enough?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1759468
>
> Title:
> gnome-control-center (11) gtk_style_context_clear_property_cache →
> gtk_css_widget_node_update_style → gtk_css_node_ensure_style →
> gtk_css_node_ensure_style → gtk_css_node_validate_internal
>
> Status in gnome-control-center package in Ubuntu:
> In Progress
> Status in gtk+3.0 package in Ubuntu:
> Fix Released
>
> Bug description:
> * Impact
> gnome-control-center sometimes hits a segfault
>
> * Test case
> - Check if the e.u.c reports stop with the new version
>
> or
>
> - Open GNOME Control Center
> - Go to Devices->Display panel
> - Close the window
> - Open GNOME Control Center again (in overview mode)
>
> the settings should open without error
>
> * Regression potential
> check the panels can be opened without error and that switching between
> them works as well
>
> ----------------------
>
> The Ubuntu Error Tracker has been receiving reports about a problem
> regarding gnome-control-center. This problem was most recently seen with
> package version 1:3.28.0-0ubuntu2, the problem page at
> https://errors.ubuntu.com/problem/6b1f4dd86167bf5eb53ddca8469b5084208ddd22
> contains more details, including versions of packages affected, stacktrace
> or traceback, and individual crash reports.
> If you do not have access to the Ubuntu Error Tracker and are a software
> developer, you can request it at http://forms.canonical.com/reports/.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1759468/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: distribution=ubuntu; sourcepackage=gnome-control-center;
> component=main; status=In Progress; importance=High; assignee=
> <email address hidden>;
> Launchpad-Bug: distribution=ubuntu; sourcepackage=gtk+3.0; component=main;
> status=Fix Released; importance=High; assignee=
> <email address hidden>;
> Launchpad-Bug-Tags: artful bionic patch
> Launchpad-Bug-Information-Type: Public
> Launchpad-Bug-Private: no
> Launchpad-Bug-Security-Vulnerability: no
> Launchpad-Bug-Commenters: azzar1 crichton janitor jbicha seb128
> whoopsie-daisy-bug-bridge
> Launchpad-Bug-Reporter: errors.ubuntu.com bug bridge
> (whoopsie-daisy-bug-bridge)
> Launchpad-Bug-Modifier: Sebastien Bacher (seb128)
> Launchpad-Message-Rationale: Assignee
> Launchpad-Message-For: azzar1
>

Andrea Azzarone (azzar1) on 2018-05-24
tags: added: rls-bb-incoming
Changed in gnome-control-center (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.28.1-0ubuntu4

---------------
gnome-control-center (1:3.28.1-0ubuntu4) cosmic; urgency=medium

  [ Andrea Azzarone ]
    * debian/patches/git_invalid_dereferencing.patch:
    - Avoid dereferencing invalid pointer (lp: #1759468)

 -- Sebastien Bacher <email address hidden> Fri, 25 May 2018 16:25:16 +0200

Changed in gnome-control-center (Ubuntu):
status: Fix Committed → Fix Released

Hello errors.ubuntu.com, or anyone else affected,

Accepted gnome-control-center into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-control-center/1:3.28.1-0ubuntu1.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-control-center (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Andrea Azzarone (azzar1) wrote :

Works fine here.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers